Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.table
Interface ColumnControlPopup

All Superinterfaces:
  UIDependent

All Known Implementing Classes:
  ColumnControlButton.DefaultColumnControlPopup

    public interface ColumnControlPopup

extends UIDependent

Encapsulates the popup component which is the delegate for all popup visuals, used by a ColumnControlButton.

For now, this class a simple extraction of what a ColumnControl needs. Usage will drive further evolution.

Method Summary
`void` | `addAdditionalActionItems(java.util.List<? extends javax.swing.Action> actions)` Adds additional actions to the popup.
`void` | `addVisibilityActionItems(java.util.List<? extends AbstractActionExt> actions)` Adds items corresponding to the column's visibility actions.
`void` | `applyComponentOrientation(java.awt.ComponentOrientation o)` Applies the specified component orientation to all internal widgets.
`void` | `removeAll()` Removes all items from the popup.
`void` | `toggleVisibility(javax.swing.JComponent owner)` Toggles the popup's visibility.

Methods inherited from interface org.jdesktop.swingx.plaf.UIDependent
`updateUI`

Method Detail

### toggleVisibility

    void toggleVisibility(javax.swing.JComponent owner)

  Toggles the popup's visibility. This method is responsible for placing itself relative to the given owner if toggled to visible.

  Parameters:
    `owner` - the JComponent which triggered the visibility change, typically a ColumnControlButton.

### applyComponentOrientation

    void applyComponentOrientation(java.awt.ComponentOrientation o)

  Applies the specified component orientation to all internal widgets. This method must be called by the owner if its component orientation changes.

  Parameters:
    `o` - the componentOrientation to apply to all internal widgets.
  See Also:
    `Container.applyComponentOrientation(ComponentOrientation).`

### removeAll

    void removeAll()

  Removes all items from the popup.

### addVisibilityActionItems

    void addVisibilityActionItems(java.util.List<? extends AbstractActionExt> actions)

  Adds items corresponding to the column's visibility actions.

  Each `Action` in the list is a `stateAction`, its `selected` property bound to a column's `visible` property, that is toggling the selected will toggle the column's visibility (if the action is enabled). The `Action`s `name` property is bound to the column's `title`.

  Parameters:
    `actions` - List of AbstractActionExt to add.

### addAdditionalActionItems

    void addAdditionalActionItems(java.util.List<? extends javax.swing.Action> actions)

  Adds additional actions to the popup.

  Parameters:
    `actions` - List of `Action`s to add to the popup.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.